Bug 1006112 - Review Request: rubygem-exception_notification - Exception notification for Rails apps
Review Request: rubygem-exception_notification - Exception notification for R...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 23:50 EDT by Ken Dreyer
Modified: 2013-09-24 18:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: rubygem-exception_notification-4.0.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-24 18:59:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msuchy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer 2013-09-09 23:50:05 EDT
Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-exception_notification.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-exception_notification-4.0.0-1.fc21.src.rpm
Description:
The Exception Notification gem provides a set of notifiers for sending
notifications when errors occur in a Rack/Rails application. The built-in
notifiers can deliver notifications by email, campfire rooms or via
webhooks.

Fedora Account System Username: ktdreyer

Rawhide scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5916345
Comment 1 Miroslav Suchý 2013-09-13 03:21:25 EDT
Taking.
Comment 2 Miroslav Suchý 2013-09-13 05:16:43 EDT
* description should end with dot. (-doc subpackage)

* *I* would put README.md into main package (if you disagree, let it be)

* *I* would keep the original %{gem_name}.gemspec and put it into -doc subpackage. It may be usefull for developers. (if you disagree, let it be)

* remove executable attr from LICENSE
rubygem-exception_notification.noarch: E: script-without-shebang /usr/share/gems/gems/exception_notification-4.0.0/LICENSE

* .gitkeep can be removed
rubygem-exception_notification-doc.noarch: W: hidden-file-or-dir /usr/share/gems/gems/exception_notification-4.0.0/test/dummy/public/stylesheets/.gitkeep
rubygem-exception_notification-doc.noarch: E: zero-length /usr/share/gems/gems/exception_notification-4.0.0/test/dummy/public/stylesheets/.gitkeep
rubygem-exception_notification-doc.noarch: W: hidden-file-or-dir /usr/share/gems/gems/exception_notification-4.0.0/test/dummy/lib/tasks/.gitkeep
rubygem-exception_notification-doc.noarch: E: zero-length /usr/share/gems/gems/exception_notification-4.0.0/test/dummy/lib/tasks/.gitkeep

Otherwise it looks good to me.
Comment 3 Ken Dreyer 2013-09-13 07:48:00 EDT
Thank you very much for reviewing.

(In reply to Miroslav Suchý from comment #2)
> * description should end with dot. (-doc subpackage)

Fixed. (Thanks also for proposing https://github.com/lutter/gem2rpm/pull/25!)

> * *I* would put README.md into main package (if you disagree, let it be)
> 
> * *I* would keep the original %{gem_name}.gemspec and put it into -doc
> subpackage. It may be usefull for developers. (if you disagree, let it be)

For these two, I'll respectfully decline. My hope is to keep the packages light-weight if possible (particularly the main package, since that's likely to be installed in a lot of places). If it is important to be consistent, I think these could be proposed as changes to the Ruby Packaging Guidelines wiki page and gem2rpm template.

> * remove executable attr from LICENSE
> rubygem-exception_notification.noarch: E: script-without-shebang
> /usr/share/gems/gems/exception_notification-4.0.0/LICENSE

Great catch, thank you.

> * .gitkeep can be removed

Good catch, and I removed a .gitignore file as well.

Package diff: http://fedorapeople.org/cgit/ktdreyer/public_git/rubygem-exception_notification.git/commit/?id=0885d91392db166049312379d3cdcfc821c07ec6

Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-exception_notification.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-exception_notification-4.0.0-2.fc21.src.rpm

Rawhide scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5930644
Comment 4 Miroslav Suchý 2013-09-13 08:46:43 EDT
> For these two, I'll respectfully decline.
OK

Everything else is good.

APPROVED.
Comment 5 Ken Dreyer 2013-09-13 08:55:34 EDT
You rock, thanks a lot!
Comment 6 Ken Dreyer 2013-09-13 08:58:09 EDT
New Package SCM Request
=======================
Package Name: rubygem-exception_notification
Short Description: Exception notification for Rails apps
Owners: ktdreyer
Branches: f19 f20
Comment 7 Gwyn Ciesla 2013-09-13 09:19:13 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-09-13 12:38:16 EDT
rubygem-exception_notification-4.0.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-exception_notification-4.0.0-2.fc20
Comment 9 Fedora Update System 2013-09-13 12:38:57 EDT
rubygem-exception_notification-4.0.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-exception_notification-4.0.0-2.fc19
Comment 10 Fedora Update System 2013-09-13 22:42:17 EDT
rubygem-exception_notification-4.0.0-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 11 Miroslav Suchý 2013-09-16 03:02:44 EDT
Ken,
please consider adding this gem to Upstream monitoring:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 12 Ken Dreyer 2013-09-20 18:30:06 EDT
Thanks for the suggestion. I've added this gem (along with all my other gems) to the list.
Comment 13 Fedora Update System 2013-09-22 20:36:48 EDT
rubygem-exception_notification-4.0.0-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 14 Fedora Update System 2013-09-24 18:59:20 EDT
rubygem-exception_notification-4.0.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.